using Microsoft.AspNetCore.Mvc;
using Pgo.Backend.Interfaces;
using Pgo.Backend.Models;

namespace Pgo.Backend.Controllers;

[ApiController]
public class RegisterController(IStelselNodeService stelselnode) : ControllerBase
{
    private readonly IStelselNodeService _stelselnode = stelselnode ?? throw new ArgumentNullException(nameof(stelselnode));

    [HttpGet("api/medmij-register/aanbieders-zorgdomein")]
    public IActionResult GetAanbiedersZorgdomein() 
        => Ok(_stelselnode.GetZorgaanbieders().Where(provider => provider.ProviderType == StelselNodeProviderType.Zorgaanbieder));

    [HttpGet("api/medmij-register/aanbieders-persoonsdomein")]
    public IActionResult GetAanbiedersPersoonsdomein() 
        => Ok(_stelselnode.GetZorgaanbieders().Where(provider => provider.ProviderType == StelselNodeProviderType.AanbiederPersoonsdomein));
}
